EFIgy

Check your EFI version


Looks like "MBP142.0167.B00"
Provide models in the form of "MacBookPro5,1" for Mac Pro (Late 2013)
Looks like "16G29"
NOTE: macOS 10.13 is NOT currently supported. Our dataset currently only covers 10.10, 10.11, and 10.12.

Your EFI version is not what we expected.


You're running XX, but we expected you to be running YY.

Good news! Your EFI firmware appears to be up to date.